GNU bug report logs - #47558
28.0.50; dlopen 'image not found' gccemacs native-lisp macos

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bryan O'Brien <bryan.m.obrien@HIDDEN>; dated Fri, 2 Apr 2021 03:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 6 Apr 2021 17:36:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 13:36:32 2021
Received: from localhost ([127.0.0.1]:41665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTpcu-0007tU-2c
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 13:36:32 -0400
Received: from outbound.soverin.net ([116.202.65.218]:49813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lTpcs-0007sR-2Y
 for 47558 <at> debbugs.gnu.org; Tue, 06 Apr 2021 13:36:30 -0400
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id DCC5A600C1;
 Tue,  6 Apr 2021 17:36:23 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1617730583; bh=2WvSsV/Qr0ydP9lQ6RQPToCgAiGfnI1MxocXoL5w+84=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=eHbyrxPjFm5d1mpIj3MK+SFU53STCaK+ra3tTDMUNjS3opZ4mMKvRfyAlCth6xEry
 hY/TjOxq/CXUsJPh3KUp0uikMt9fQ7on0/evwQDEtz7nqstWtFDQhmWjKh7Z3C0brH
 TzImnI+ePNmFcA1pA3pRQ7sa9xrGxTUcO76mdr/Cfy2wGSfOKtLQFrrH40F2SGJUK9
 TpbuJMmjD610nWVKBspp4lxHGEKdGdQlt4BQAFyPc0Dn18aDcs2sHEeHxtag0sUtD7
 ct45ce0ijSJmCoZ3j2ZNTSgLSYqiRAJbeA3YpwSQ1jztk+eHm85thqCT+qIq7FR8+q
 87yCtgza2P5tg==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id B86E0202B9B2C8; Tue,  6 Apr 2021 18:36:15 +0100 (BST)
Date: Tue, 6 Apr 2021 18:36:15 +0100
From: Alan Third <alan@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
Message-ID: <YGycD2m1fXHR8ua6@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrea Corallo <akrl@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
References: <83y2dzev4b.fsf@HIDDEN> <YGh1MNuSVHfZSCw5@HIDDEN>
 <83mtufe9ke.fsf@HIDDEN> <xjftuomjzid.fsf@HIDDEN>
 <YGrnsAwCdv/RTtYs@HIDDEN>
 <xjfwntgiit6.fsf@HIDDEN>
 <YGt9muDKR3kwwFWd@HIDDEN>
 <xjfsg43j16p.fsf@HIDDEN>
 <YGwxQjOS5ibK5RuR@HIDDEN>
 <xjfblarihz1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="UpsKhNuX3zexQbiI"
Content-Disposition: inline
In-Reply-To: <xjfblarihz1.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--UpsKhNuX3zexQbiI
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Tue, Apr 06, 2021 at 02:51:46PM +0000, Andrea Corallo wrote:
> Alan Third <alan@HIDDEN> writes:
> 
> > On Tue, Apr 06, 2021 at 07:56:46AM +0000, Andrea Corallo wrote:
> >> Alan Third <alan@HIDDEN> writes:
> >> > emacs:
> >> > dlopen(/Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/window-0d1b8b93-513ac8ca.eln,
> >> > 1): image not found
> >> 
> >> Hi Alan,
> >> 
> >> Okay the value of ELN_DESTDIR is used during dump to inform Emacs where
> >> the eln will be located (src/Makefile.in:570) so redumping is necessary.
> >> Have you tried redumping or rebuilding from scratch?
> >
> > Yes, I've tried 'make bootstrap' to no avail.
> 
> could you share the output of like "make bootstrap V=1"? (go parallel if
> you like)

Attached.
-- 
Alan Third

--UpsKhNuX3zexQbiI
Content-Type: application/x-gunzip
Content-Disposition: attachment; filename="bootstrap.log.gz"
Content-Transfer-Encoding: base64
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--UpsKhNuX3zexQbiI--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 6 Apr 2021 14:51:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 10:51:53 2021
Received: from localhost ([127.0.0.1]:41419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTn3Y-0001Yg-OQ
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 10:51:52 -0400
Received: from mx.sdf.org ([205.166.94.24]:58410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lTn3U-0001YU-9B
 for 47558 <at> debbugs.gnu.org; Tue, 06 Apr 2021 10:51:50 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 136EpkeE013270
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 6 Apr 2021 14:51:46 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
References: <8335w8fs4b.fsf@HIDDEN>
 <YGeR/CHlCBo+0VZO@HIDDEN> <83y2dzev4b.fsf@HIDDEN>
 <YGh1MNuSVHfZSCw5@HIDDEN> <83mtufe9ke.fsf@HIDDEN>
 <xjftuomjzid.fsf@HIDDEN> <YGrnsAwCdv/RTtYs@HIDDEN>
 <xjfwntgiit6.fsf@HIDDEN> <YGt9muDKR3kwwFWd@HIDDEN>
 <xjfsg43j16p.fsf@HIDDEN> <YGwxQjOS5ibK5RuR@HIDDEN>
Date: Tue, 06 Apr 2021 14:51:46 +0000
In-Reply-To: <YGwxQjOS5ibK5RuR@HIDDEN> (Alan Third's message
 of "Tue, 6 Apr 2021 11:00:34 +0100")
Message-ID: <xjfblarihz1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> On Tue, Apr 06, 2021 at 07:56:46AM +0000, Andrea Corallo wrote:
>> Alan Third <alan@HIDDEN> writes:
>> > emacs:
>> > dlopen(/Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/window-0d1b8b93-513ac8ca.eln,
>> > 1): image not found
>> 
>> Hi Alan,
>> 
>> Okay the value of ELN_DESTDIR is used during dump to inform Emacs where
>> the eln will be located (src/Makefile.in:570) so redumping is necessary.
>> Have you tried redumping or rebuilding from scratch?
>
> Yes, I've tried 'make bootstrap' to no avail.

could you share the output of like "make bootstrap V=1"? (go parallel if
you like)

> FWIW, as I mentioned earlier in this thread, which you may not have
> seen, NS provides a method for detecting which paths to use if running
> in the self contained bundle, which Emacs already uses for finding the
> lisp path, exec path, etc. Would it be worth extending this to work
> with the eln files?

I think talking about preloaded files we'll want to to stick to the
relative path to the binary as it should work on every system, but this
might information be useful in the future for the filename hashing.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 6 Apr 2021 10:00:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 06:00:54 2021
Received: from localhost ([127.0.0.1]:39238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTiVx-0003no-SJ
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 06:00:54 -0400
Received: from outbound.soverin.net ([116.202.65.218]:48093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lTiVv-0003nV-2e
 for 47558 <at> debbugs.gnu.org; Tue, 06 Apr 2021 06:00:52 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id D1B44600CB;
 Tue,  6 Apr 2021 10:00:44 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1617703243; bh=ovJk3NlFtdtktb3/Cj/TGiqqY6AO3vFcEf6dFndDSbE=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=It3Jscn9KkNTasS9liBbBu8ihAoB1C9MbL/gmMF1ZCvvmO5yPkeNLknzr9Cw7/98a
 B+Vpcv8LVbShW16YsVCQsksYgfwjTxXPf0Qc//m9OH2dGxd8fyAyHTW3MNA2U7rL4+
 WIDU9bh1gaycBz7EfTynFlZdCv6r+gax3QByjaqBN8ptRbccbpEWypbFeXlbVqQ3VY
 4EEE17x7KMm9zW6BQj1WSxsqKo5aD885tfUjyypD+5BEv9SfLrH8GD6xeSscbhTe9H
 icF5W+/sjVIDuW2DPD6r+OZ9JOH3tWPsN5zcqOQlmuRm1oqMmxXsejHylQxQuUnPC5
 CHYvJ4O+41unw==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id C4AE5202B957CD; Tue,  6 Apr 2021 11:00:34 +0100 (BST)
Date: Tue, 6 Apr 2021 11:00:34 +0100
From: Alan Third <alan@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
Message-ID: <YGwxQjOS5ibK5RuR@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrea Corallo <akrl@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
References: <8335w8fs4b.fsf@HIDDEN> <YGeR/CHlCBo+0VZO@HIDDEN>
 <83y2dzev4b.fsf@HIDDEN> <YGh1MNuSVHfZSCw5@HIDDEN>
 <83mtufe9ke.fsf@HIDDEN> <xjftuomjzid.fsf@HIDDEN>
 <YGrnsAwCdv/RTtYs@HIDDEN>
 <xjfwntgiit6.fsf@HIDDEN>
 <YGt9muDKR3kwwFWd@HIDDEN>
 <xjfsg43j16p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <xjfsg43j16p.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Apr 06, 2021 at 07:56:46AM +0000, Andrea Corallo wrote:
> Alan Third <alan@HIDDEN> writes:
> > emacs:
> > dlopen(/Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/window-0d1b8b93-513ac8ca.eln,
> > 1): image not found
> 
> Hi Alan,
> 
> Okay the value of ELN_DESTDIR is used during dump to inform Emacs where
> the eln will be located (src/Makefile.in:570) so redumping is necessary.
> Have you tried redumping or rebuilding from scratch?

Yes, I've tried 'make bootstrap' to no avail.

FWIW, as I mentioned earlier in this thread, which you may not have
seen, NS provides a method for detecting which paths to use if running
in the self contained bundle, which Emacs already uses for finding the
lisp path, exec path, etc. Would it be worth extending this to work
with the eln files?

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 6 Apr 2021 07:56:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 03:56:56 2021
Received: from localhost ([127.0.0.1]:39120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTgZy-0006tt-03
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 03:56:56 -0400
Received: from mx.sdf.org ([205.166.94.24]:60747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lTgZu-0006th-3i
 for 47558 <at> debbugs.gnu.org; Tue, 06 Apr 2021 03:56:52 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 1367ukrA004365
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 6 Apr 2021 07:56:47 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
References: <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN> <8335w8fs4b.fsf@HIDDEN>
 <YGeR/CHlCBo+0VZO@HIDDEN> <83y2dzev4b.fsf@HIDDEN>
 <YGh1MNuSVHfZSCw5@HIDDEN> <83mtufe9ke.fsf@HIDDEN>
 <xjftuomjzid.fsf@HIDDEN> <YGrnsAwCdv/RTtYs@HIDDEN>
 <xjfwntgiit6.fsf@HIDDEN> <YGt9muDKR3kwwFWd@HIDDEN>
Date: Tue, 06 Apr 2021 07:56:46 +0000
In-Reply-To: <YGt9muDKR3kwwFWd@HIDDEN> (Alan Third's message
 of "Mon, 5 Apr 2021 22:14:02 +0100")
Message-ID: <xjfsg43j16p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> On Mon, Apr 05, 2021 at 08:21:25PM +0000, Andrea Corallo wrote:
>> Alan Third <alan@HIDDEN> writes:
>> 
>> > On Sun, Apr 04, 2021 at 07:10:50AM +0000, Andrea Corallo wrote:
>> >> Eli Zaretskii <eliz@HIDDEN> writes:
>> >> 
>> >> >> Date: Sat, 3 Apr 2021 15:01:20 +0100
>> >> >> From: Alan Third <alan@HIDDEN>
>> >> >> Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
>> >> >> 
>> >> >> It's not entirely clear to me where the load path is set, is it
>> >> >> 
>> >> >>     fixup_eln_load_path (Lisp_Object directory)
>> >> >> 
>> >> >> in comp.c?
>> >> >
>> >> > I hope Andrea (CC'ed) will be able to answer that.
>> >> 
>> >> Okay, as window is loaded and dumped during the build
>> >> `comp-eln-load-path' here doesn't come into play.
>> >> 
>> >> While resurrecting from dump we locate preloaded eln files by filename
>> >> (relative to the emacs executable position).  Indeed the complication is
>> >> that we have to support both uninstalled but also installed builds.
>> >> 
>> >> To do that before dumping we inform Emacs of where will have to search
>> >> the eln files if installed.  We do that using ELN_DESTDIR defined
>> >> Makefile.in:326.
>> >> 
>> >> If the directory structure on MacOS is different I guess we have to add
>> >> the correct information there.
>> >
>> > No matter what I set ELN_DESTDIR to, emacs still looks in
>> >
>> > /Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15
>> >
>> > so something isn't being updated, I guess?
>> 
>> That's possible, could you specify the full procedure you've used to
>> reach this point?
>
> ./autogen.sh
> ./configure --with-ns --with-native-compilation
> make
> make install
>
> Note: make install fails, I've had to apply this patch
>
>
> @@ -749,7 +753,8 @@ install-etc:
>  ### Install native compiled Lisp files.
>  install-eln:
>  ifeq ($(HAVE_NATIVE_COMP),yes)
> -	find native-lisp -type f -exec ${INSTALL_DATA} -D "{}" "$(ELN_DESTDIR){}" \;
> +	find native-lisp -type d -exec $(MKDIR_P) "$(ELN_DESTDIR){}" \; ; \
> +	find native-lisp -type f -exec ${INSTALL_DATA} "{}" "$(ELN_DESTDIR){}" \;
>  endif
>
>
> but if you were to try this with GNUstep I suspect that wouldn't be
> needed.
>
> And I've tried modifying ELN_DESTDIR with this
>
>
> @@ -323,7 +323,11 @@ CONFIG_STATUS_FILES_IN =
>  COPYDIR = ${srcdir}/etc ${srcdir}/lisp
>  COPYDESTS = "$(DESTDIR)${etcdir}" "$(DESTDIR)${lispdir}"
>  
> -ELN_DESTDIR = $(DESTDIR)${libdir}/emacs/${version}/
> +ifeq (${ns_self_contained},no)
> +  ELN_DESTDIR = $(DESTDIR)${libdir}/emacs/${version}/
> +else
> +  ELN_DESTDIR = ${ns_appresdir}/
> +endif
>  
>  all: ${SUBDIR} info
>
>
> which results in the .eln files being installed where I want, but
> running the installed Emacs (nextstep/Emacs.app/MacOS/Emacs) still
> gives the error
>
> emacs:
> dlopen(/Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/window-0d1b8b93-513ac8ca.eln,
> 1): image not found

Hi Alan,

Okay the value of ELN_DESTDIR is used during dump to inform Emacs where
the eln will be located (src/Makefile.in:570) so redumping is necessary.
Have you tried redumping or rebuilding from scratch?

Thanks!

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 5 Apr 2021 21:14:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 17:14:19 2021
Received: from localhost ([127.0.0.1]:38764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTWY5-0007l3-5S
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2021 17:14:19 -0400
Received: from outbound.soverin.net ([116.202.65.218]:38807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lTWY2-0007ki-E4
 for 47558 <at> debbugs.gnu.org; Mon, 05 Apr 2021 17:14:16 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id B33836022D;
 Mon,  5 Apr 2021 21:14:08 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1617657247; bh=5ZwimqefpjrDfjR2p8WoZDPllQHG0O2AvPQLhVNPtr4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=Ve3M7TJfw+Ta9C9XLebuWzngwfhIp+1D2Kb+uPXakViqARr+ymtoiBOC19h2nH3Fw
 PQaam7jSXQ3cU9E87no7eKonhn7ilMuLOmBBxxuQKOR8wEsDqGy2VcCImzxYgIQb6T
 LrFpBXmW0F3CgMiQYKMpv4GUtckEl11v5XZbuVVROUQ7oefs4/9qiv5yYussG1jPfE
 gmc5dnqUn5yTs3rysdvHp824ZeGP4en2x1WUyHWWmTcmi++zmOLqfg688DY2TQJgbW
 WLfqKRBLpO6t+xu0q4MQPt0cQgc0XAqenBQmGXqOTQ0XY8hz3+GFXnFH1CHDj5Q22Q
 xmR2CJ2Qw/LdQ==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 868A9202B90599; Mon,  5 Apr 2021 22:14:02 +0100 (BST)
Date: Mon, 5 Apr 2021 22:14:02 +0100
From: Alan Third <alan@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
Message-ID: <YGt9muDKR3kwwFWd@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrea Corallo <akrl@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
References: <83ft09fdc4.fsf@HIDDEN> <YGdGYoFQ7y3sWm1o@HIDDEN>
 <8335w8fs4b.fsf@HIDDEN> <YGeR/CHlCBo+0VZO@HIDDEN>
 <83y2dzev4b.fsf@HIDDEN> <YGh1MNuSVHfZSCw5@HIDDEN>
 <83mtufe9ke.fsf@HIDDEN> <xjftuomjzid.fsf@HIDDEN>
 <YGrnsAwCdv/RTtYs@HIDDEN>
 <xjfwntgiit6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <xjfwntgiit6.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Apr 05, 2021 at 08:21:25PM +0000, Andrea Corallo wrote:
> Alan Third <alan@HIDDEN> writes:
> 
> > On Sun, Apr 04, 2021 at 07:10:50AM +0000, Andrea Corallo wrote:
> >> Eli Zaretskii <eliz@HIDDEN> writes:
> >> 
> >> >> Date: Sat, 3 Apr 2021 15:01:20 +0100
> >> >> From: Alan Third <alan@HIDDEN>
> >> >> Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
> >> >> 
> >> >> It's not entirely clear to me where the load path is set, is it
> >> >> 
> >> >>     fixup_eln_load_path (Lisp_Object directory)
> >> >> 
> >> >> in comp.c?
> >> >
> >> > I hope Andrea (CC'ed) will be able to answer that.
> >> 
> >> Okay, as window is loaded and dumped during the build
> >> `comp-eln-load-path' here doesn't come into play.
> >> 
> >> While resurrecting from dump we locate preloaded eln files by filename
> >> (relative to the emacs executable position).  Indeed the complication is
> >> that we have to support both uninstalled but also installed builds.
> >> 
> >> To do that before dumping we inform Emacs of where will have to search
> >> the eln files if installed.  We do that using ELN_DESTDIR defined
> >> Makefile.in:326.
> >> 
> >> If the directory structure on MacOS is different I guess we have to add
> >> the correct information there.
> >
> > No matter what I set ELN_DESTDIR to, emacs still looks in
> >
> > /Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15
> >
> > so something isn't being updated, I guess?
> 
> That's possible, could you specify the full procedure you've used to
> reach this point?

./autogen.sh
./configure --with-ns --with-native-compilation
make
make install

Note: make install fails, I've had to apply this patch


@@ -749,7 +753,8 @@ install-etc:
 ### Install native compiled Lisp files.
 install-eln:
 ifeq ($(HAVE_NATIVE_COMP),yes)
-	find native-lisp -type f -exec ${INSTALL_DATA} -D "{}" "$(ELN_DESTDIR){}" \;
+	find native-lisp -type d -exec $(MKDIR_P) "$(ELN_DESTDIR){}" \; ; \
+	find native-lisp -type f -exec ${INSTALL_DATA} "{}" "$(ELN_DESTDIR){}" \;
 endif


but if you were to try this with GNUstep I suspect that wouldn't be
needed.

And I've tried modifying ELN_DESTDIR with this


@@ -323,7 +323,11 @@ CONFIG_STATUS_FILES_IN =
 COPYDIR = ${srcdir}/etc ${srcdir}/lisp
 COPYDESTS = "$(DESTDIR)${etcdir}" "$(DESTDIR)${lispdir}"
 
-ELN_DESTDIR = $(DESTDIR)${libdir}/emacs/${version}/
+ifeq (${ns_self_contained},no)
+  ELN_DESTDIR = $(DESTDIR)${libdir}/emacs/${version}/
+else
+  ELN_DESTDIR = ${ns_appresdir}/
+endif
 
 all: ${SUBDIR} info


which results in the .eln files being installed where I want, but
running the installed Emacs (nextstep/Emacs.app/MacOS/Emacs) still
gives the error

emacs:
dlopen(/Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/window-0d1b8b93-513ac8ca.eln,
1): image not found


-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 5 Apr 2021 20:21:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 16:21:29 2021
Received: from localhost ([127.0.0.1]:38709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTViz-0004Ep-JQ
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2021 16:21:29 -0400
Received: from mx.sdf.org ([205.166.94.24]:49955)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lTVix-0004Eg-3A
 for 47558 <at> debbugs.gnu.org; Mon, 05 Apr 2021 16:21:27 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 135KLPCJ017553
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 5 Apr 2021 20:21:26 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
References: <m21rbtwjpw.fsf@HIDDEN> <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN> <8335w8fs4b.fsf@HIDDEN>
 <YGeR/CHlCBo+0VZO@HIDDEN> <83y2dzev4b.fsf@HIDDEN>
 <YGh1MNuSVHfZSCw5@HIDDEN> <83mtufe9ke.fsf@HIDDEN>
 <xjftuomjzid.fsf@HIDDEN> <YGrnsAwCdv/RTtYs@HIDDEN>
Date: Mon, 05 Apr 2021 20:21:25 +0000
In-Reply-To: <YGrnsAwCdv/RTtYs@HIDDEN> (Alan Third's message
 of "Mon, 5 Apr 2021 11:34:24 +0100")
Message-ID: <xjfwntgiit6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> On Sun, Apr 04, 2021 at 07:10:50AM +0000, Andrea Corallo wrote:
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> >> Date: Sat, 3 Apr 2021 15:01:20 +0100
>> >> From: Alan Third <alan@HIDDEN>
>> >> Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
>> >> 
>> >> It's not entirely clear to me where the load path is set, is it
>> >> 
>> >>     fixup_eln_load_path (Lisp_Object directory)
>> >> 
>> >> in comp.c?
>> >
>> > I hope Andrea (CC'ed) will be able to answer that.
>> 
>> Okay, as window is loaded and dumped during the build
>> `comp-eln-load-path' here doesn't come into play.
>> 
>> While resurrecting from dump we locate preloaded eln files by filename
>> (relative to the emacs executable position).  Indeed the complication is
>> that we have to support both uninstalled but also installed builds.
>> 
>> To do that before dumping we inform Emacs of where will have to search
>> the eln files if installed.  We do that using ELN_DESTDIR defined
>> Makefile.in:326.
>> 
>> If the directory structure on MacOS is different I guess we have to add
>> the correct information there.
>
> No matter what I set ELN_DESTDIR to, emacs still looks in
>
> /Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15
>
> so something isn't being updated, I guess?

That's possible, could you specify the full procedure you've used to
reach this point?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 5 Apr 2021 10:34:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 06:34:38 2021
Received: from localhost ([127.0.0.1]:37006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTMZ3-0005um-Tg
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2021 06:34:38 -0400
Received: from outbound.soverin.net ([116.202.65.218]:48209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lTMZ1-0005uQ-FN
 for 47558 <at> debbugs.gnu.org; Mon, 05 Apr 2021 06:34:36 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 6E632600C1;
 Mon,  5 Apr 2021 10:34:29 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1617618868; bh=guThNGcPmLFzETeRDR28Hagidu2NOLwFygHPWQJsHss=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=DQEyh9ukmiw8qq1ivR0CZ3jjs79EsduGptZEGEsno+fqHKix3uW28KzwoYiTfT+2D
 9acY6tb8SQ/aixHwY0KmUwtCJu3imA/1zbMZNZNq6krPbHsBauxz9aTYq65v1zVZSC
 WyTEpsmYqwLq5/MSXWwcd0+XC/1dj/qpJNQM3dAKRT9YbOoo/Y7IqN3a0IFPr/MwXh
 9p/dw9ztD69YxPlVisVtqOMuGt03ZsclTIZlZsW8ovn8AKAUYOVSNicjyOsSid04bN
 39z/jhWFY0zCKqpHZimDAqAvY1QhSIhiar3U7Aq60diNLZEhw4F276DrTN2CccM2sk
 jWGepEoA+lQ9Q==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id B8CAA202B8E46F; Mon,  5 Apr 2021 11:34:24 +0100 (BST)
Date: Mon, 5 Apr 2021 11:34:24 +0100
From: Alan Third <alan@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
Message-ID: <YGrnsAwCdv/RTtYs@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrea Corallo <akrl@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
References: <m21rbtwjpw.fsf@HIDDEN> <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN> <8335w8fs4b.fsf@HIDDEN>
 <YGeR/CHlCBo+0VZO@HIDDEN> <83y2dzev4b.fsf@HIDDEN>
 <YGh1MNuSVHfZSCw5@HIDDEN> <83mtufe9ke.fsf@HIDDEN>
 <xjftuomjzid.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <xjftuomjzid.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Apr 04, 2021 at 07:10:50AM +0000, Andrea Corallo wrote:
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Date: Sat, 3 Apr 2021 15:01:20 +0100
> >> From: Alan Third <alan@HIDDEN>
> >> Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
> >> 
> >> It's not entirely clear to me where the load path is set, is it
> >> 
> >>     fixup_eln_load_path (Lisp_Object directory)
> >> 
> >> in comp.c?
> >
> > I hope Andrea (CC'ed) will be able to answer that.
> 
> Okay, as window is loaded and dumped during the build
> `comp-eln-load-path' here doesn't come into play.
> 
> While resurrecting from dump we locate preloaded eln files by filename
> (relative to the emacs executable position).  Indeed the complication is
> that we have to support both uninstalled but also installed builds.
> 
> To do that before dumping we inform Emacs of where will have to search
> the eln files if installed.  We do that using ELN_DESTDIR defined
> Makefile.in:326.
> 
> If the directory structure on MacOS is different I guess we have to add
> the correct information there.

No matter what I set ELN_DESTDIR to, emacs still looks in

/Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15

so something isn't being updated, I guess?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 4 Apr 2021 07:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 03:10:56 2021
Received: from localhost ([127.0.0.1]:34778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSwuO-0005My-1t
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 03:10:56 -0400
Received: from mx.sdf.org ([205.166.94.24]:58249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lSwuM-0005Mp-CZ
 for 47558 <at> debbugs.gnu.org; Sun, 04 Apr 2021 03:10:54 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 1347AoBP013379
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 4 Apr 2021 07:10:51 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
References: <m21rbtwjpw.fsf@HIDDEN> <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN> <8335w8fs4b.fsf@HIDDEN>
 <YGeR/CHlCBo+0VZO@HIDDEN> <83y2dzev4b.fsf@HIDDEN>
 <YGh1MNuSVHfZSCw5@HIDDEN> <83mtufe9ke.fsf@HIDDEN>
Date: Sun, 04 Apr 2021 07:10:50 +0000
In-Reply-To: <83mtufe9ke.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 03 Apr
 2021 17:17:53 +0300")
Message-ID: <xjftuomjzid.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, Alan Third <alan@HIDDEN>,
 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Sat, 3 Apr 2021 15:01:20 +0100
>> From: Alan Third <alan@HIDDEN>
>> Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
>> 
>> It's not entirely clear to me where the load path is set, is it
>> 
>>     fixup_eln_load_path (Lisp_Object directory)
>> 
>> in comp.c?
>
> I hope Andrea (CC'ed) will be able to answer that.

Okay, as window is loaded and dumped during the build
`comp-eln-load-path' here doesn't come into play.

While resurrecting from dump we locate preloaded eln files by filename
(relative to the emacs executable position).  Indeed the complication is
that we have to support both uninstalled but also installed builds.

To do that before dumping we inform Emacs of where will have to search
the eln files if installed.  We do that using ELN_DESTDIR defined
Makefile.in:326.

If the directory structure on MacOS is different I guess we have to add
the correct information there.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 3 Apr 2021 14:18:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 03 10:18:12 2021
Received: from localhost ([127.0.0.1]:34292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSh6K-0007xU-7q
	for submit <at> debbugs.gnu.org; Sat, 03 Apr 2021 10:18:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lSh6J-0007xJ-8M
 for 47558 <at> debbugs.gnu.org; Sat, 03 Apr 2021 10:18:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53889)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lSh6C-0004Xp-Cw; Sat, 03 Apr 2021 10:18:04 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3619
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lSh6B-0002yt-MP; Sat, 03 Apr 2021 10:18:04 -0400
Date: Sat, 03 Apr 2021 17:17:53 +0300
Message-Id: <83mtufe9ke.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>, Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <YGh1MNuSVHfZSCw5@HIDDEN> (message from Alan
 Third on Sat, 3 Apr 2021 15:01:20 +0100)
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
References: <m21rbtwjpw.fsf@HIDDEN> <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN> <8335w8fs4b.fsf@HIDDEN>
 <YGeR/CHlCBo+0VZO@HIDDEN>
 <83y2dzev4b.fsf@HIDDEN> <YGh1MNuSVHfZSCw5@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sat, 3 Apr 2021 15:01:20 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
> 
> It's not entirely clear to me where the load path is set, is it
> 
>     fixup_eln_load_path (Lisp_Object directory)
> 
> in comp.c?

I hope Andrea (CC'ed) will be able to answer that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 3 Apr 2021 14:01:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 03 10:01:33 2021
Received: from localhost ([127.0.0.1]:34285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSgqC-0007ZD-Lx
	for submit <at> debbugs.gnu.org; Sat, 03 Apr 2021 10:01:32 -0400
Received: from outbound.soverin.net ([116.202.65.218]:45575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lSgq9-0007Yx-Tm
 for 47558 <at> debbugs.gnu.org; Sat, 03 Apr 2021 10:01:32 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 27B3C600D0;
 Sat,  3 Apr 2021 14:01:24 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1617458483; bh=YDoiCgSfVPE+NAgHHNckivtsq5GmCsggJDp82u6ciOY=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=LiJBLDJkMABZwFC44T4rCwzvi8r7MLB964Uh1EQ/zp6bhexTKYAkr5CfkJfCCJnO7
 TLi+DDnxLxT16zKJzOq+eJzOYH1hDfY4+rFSP54ZSXBT5t409YCR2KDrUgu+mB316y
 e7sq/BP2oAmL8BJJLLMNdQLMc9Q2rFqNRIhdbgOmqVPF8YA+DbHA1gHVNfAtt0sH9K
 ts5pXqtAmgJ3MavLU3Z6j8twQsEI+wl4dam1xFGA01/AzKOzXSdI3SR0Yy7F1w+9Z0
 /PLW2tK9Y8zhlXXxgWnUaEPlfizCXn3E2oI6Wcsa/WMK/ZsVQQqQovnfm6lqXwNR99
 saNFqJadbwEJw==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id A1759202B7CEB2; Sat,  3 Apr 2021 15:01:20 +0100 (BST)
Date: Sat, 3 Apr 2021 15:01:20 +0100
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
Message-ID: <YGh1MNuSVHfZSCw5@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, bryan.m.obrien@HIDDEN,
 47558 <at> debbugs.gnu.org
References: <m21rbtwjpw.fsf@HIDDEN> <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN> <8335w8fs4b.fsf@HIDDEN>
 <YGeR/CHlCBo+0VZO@HIDDEN> <83y2dzev4b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83y2dzev4b.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Apr 03, 2021 at 09:32:20AM +0300, Eli Zaretskii wrote:
> > Date: Fri, 2 Apr 2021 22:51:56 +0100
> > From: Alan Third <alan@HIDDEN>
> > Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
> > 
> > I think I've figured that out, but there's actually another wrinkle.
> > 'make install' is installing the eln files in
> > 
> >     nextstep/Emacs.app/Contents/MacOS/lib/emacs/28.0.50/native-lisp/28.0.50-24e3df15
> > 
> > but the emacs executable is looking for them in
> > 
> >     nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/
> 
> The above happens on all platforms, so it isn't macOS specific, right?
> Or are you saying there's something macOS specific in ${libdir}?  in
> the latter case, what's the story there?

I think that is what happens on other platforms, but the issue here is
that the emacs executable is placed in an unusual position relative to
the other files because of the NS app bundle format. I'll try to
explain it below, but my knowledge is not deep.

> > And just to add the confusion I feel they should *actually* be
> > installed in
> > 
> >     nextstep/Emacs.app/Contents/Resources/native-lisp
> > 
> > or similar.
> 
> Why is that?

NS uses a special directory structure that appears to the system as an
application. It looks something like this:

Emacs.app
 + Contents
   + MacOS
   | + Emacs <-- The executable
   + Resources
   | + icons
   | + etc
   | + include
   | + info
   | + lisp
   | + ...
   + Info.plist
   + ...

The layout is ever so slightly different under GNUstep.

As far as I can tell the only thing that should be in the
Contents/MacOS directory are executables, practically everything else
lives under Resources.

nsterm.m has three functions for finding the correct path for etc,
exec and the lisp load path. I imagine what we want to do is install
the eln files under Resources, then add a new function that returns the
location of them and use it to set the correct path at the point where
Emacs loads the files.

It's not entirely clear to me where the load path is set, is it

    fixup_eln_load_path (Lisp_Object directory)

in comp.c?

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 3 Apr 2021 06:32:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 03 02:32:43 2021
Received: from localhost ([127.0.0.1]:33182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSZpq-0002oZ-Uy
	for submit <at> debbugs.gnu.org; Sat, 03 Apr 2021 02:32:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lSZpp-0002oK-ND
 for 47558 <at> debbugs.gnu.org; Sat, 03 Apr 2021 02:32:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49850)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lSZpj-00055F-0o; Sat, 03 Apr 2021 02:32:35 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1220
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lSZpg-00039E-JX; Sat, 03 Apr 2021 02:32:34 -0400
Date: Sat, 03 Apr 2021 09:32:20 +0300
Message-Id: <83y2dzev4b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-Reply-To: <YGeR/CHlCBo+0VZO@HIDDEN> (message from Alan
 Third on Fri, 2 Apr 2021 22:51:56 +0100)
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
References: <m21rbtwjpw.fsf@HIDDEN> <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN>
 <8335w8fs4b.fsf@HIDDEN> <YGeR/CHlCBo+0VZO@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Fri, 2 Apr 2021 22:51:56 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
> 
> I think I've figured that out, but there's actually another wrinkle.
> 'make install' is installing the eln files in
> 
>     nextstep/Emacs.app/Contents/MacOS/lib/emacs/28.0.50/native-lisp/28.0.50-24e3df15
> 
> but the emacs executable is looking for them in
> 
>     nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/

The above happens on all platforms, so it isn't macOS specific, right?
Or are you saying there's something macOS specific in ${libdir}?  in
the latter case, what's the story there?

> And just to add the confusion I feel they should *actually* be
> installed in
> 
>     nextstep/Emacs.app/Contents/Resources/native-lisp
> 
> or similar.

Why is that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 2 Apr 2021 21:52:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 17:52:07 2021
Received: from localhost ([127.0.0.1]:32979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSRi3-00054v-38
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 17:52:07 -0400
Received: from outbound.soverin.net ([116.202.65.218]:47161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lSRi1-00054S-Mt
 for 47558 <at> debbugs.gnu.org; Fri, 02 Apr 2021 17:52:06 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id E54F76008B;
 Fri,  2 Apr 2021 21:51:59 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1617400319; bh=v5fxcJwfvJEMzG9TgUoNIjM2aiptfCpZB5muJf/8NY4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=KxOCq+zjx1OeIMF4um4Q5x9zk05VN8x5+kwByFDJccLBpoKdIy9BWhmIcaCZh0Hpm
 4kWjIx+JHKqqW1i/lrp8FxLLCzSXQz6LqyFezL2pULlpcAOouN89PZmC+bQGy7shDz
 HTSrWGa+aNS0zj7WJGBfG24ZMpUJ1ByYiFWmIiCYIzEgJFvtHuJ4zDzw0XnjtwIB8N
 iShG0OAvIJ7NCjyv08fSYFHJkIV481krEPekUV2Kj3iVol0u1yDiGaL3aBNxvAA3sl
 VhKtn2d1hzs3oLOa6YhYJZcOidev2I+81mJClctQGntGBByUDDtusrjLt8Yz2RYjT2
 6aDKMl5KDGQYA==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 73317202B7C4F2; Fri,  2 Apr 2021 22:51:56 +0100 (BST)
Date: Fri, 2 Apr 2021 22:51:56 +0100
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
Message-ID: <YGeR/CHlCBo+0VZO@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, bryan.m.obrien@HIDDEN,
 47558 <at> debbugs.gnu.org
References: <m21rbtwjpw.fsf@HIDDEN> <83ft09fdc4.fsf@HIDDEN>
 <YGdGYoFQ7y3sWm1o@HIDDEN> <8335w8fs4b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <8335w8fs4b.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Apr 02, 2021 at 09:39:32PM +0300, Eli Zaretskii wrote:
> > Date: Fri, 2 Apr 2021 17:29:22 +0100
> > From: Alan Third <alan@HIDDEN>
> > Cc: Bryan O'Brien <bryan.m.obrien@HIDDEN>, 47558 <at> debbugs.gnu.org
> > 
> > It looks to me like the "-D" flag for the install command isn't
> > available on macOS. I think the equivalent is "-d", which appears to
> > do something different again on GNU/Linux.
> > 
> > Line 752 of Makefile.in:
> > 
> > ### Install native compiled Lisp files.
> > install-eln:
> > ifeq ($(HAVE_NATIVE_COMP),yes)
> > 	find native-lisp -type f -exec ${INSTALL_DATA} -D "{}" "$(ELN_DESTDIR){}" \;
> > endif
> 
> We should use mkdir explicitly, I think.

I think I've figured that out, but there's actually another wrinkle.
'make install' is installing the eln files in

    nextstep/Emacs.app/Contents/MacOS/lib/emacs/28.0.50/native-lisp/28.0.50-24e3df15

but the emacs executable is looking for them in

    nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/

And just to add the confusion I feel they should *actually* be
installed in

    nextstep/Emacs.app/Contents/Resources/native-lisp

or similar.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 2 Apr 2021 18:39:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 14:39:54 2021
Received: from localhost ([127.0.0.1]:32845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSOi2-0000Hz-6P
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 14:39:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lSOi0-0000Hn-6N
 for 47558 <at> debbugs.gnu.org; Fri, 02 Apr 2021 14:39:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37483)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lSOhs-0004PG-OE; Fri, 02 Apr 2021 14:39:45 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1458
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lSOhs-0007Cp-3W; Fri, 02 Apr 2021 14:39:44 -0400
Date: Fri, 02 Apr 2021 21:39:32 +0300
Message-Id: <8335w8fs4b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-Reply-To: <YGdGYoFQ7y3sWm1o@HIDDEN> (message from Alan
 Third on Fri, 2 Apr 2021 17:29:22 +0100)
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
References: <m21rbtwjpw.fsf@HIDDEN>
 <83ft09fdc4.fsf@HIDDEN> <YGdGYoFQ7y3sWm1o@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: bryan.m.obrien@HIDDEN, 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Fri, 2 Apr 2021 17:29:22 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: Bryan O'Brien <bryan.m.obrien@HIDDEN>, 47558 <at> debbugs.gnu.org
> 
> It looks to me like the "-D" flag for the install command isn't
> available on macOS. I think the equivalent is "-d", which appears to
> do something different again on GNU/Linux.
> 
> Line 752 of Makefile.in:
> 
> ### Install native compiled Lisp files.
> install-eln:
> ifeq ($(HAVE_NATIVE_COMP),yes)
> 	find native-lisp -type f -exec ${INSTALL_DATA} -D "{}" "$(ELN_DESTDIR){}" \;
> endif

We should use mkdir explicitly, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 2 Apr 2021 16:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 12:29:34 2021
Received: from localhost ([127.0.0.1]:32803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSMfu-0005ap-38
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 12:29:34 -0400
Received: from outbound.soverin.net ([116.202.65.218]:56895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lSMfr-0005ad-SB
 for 47558 <at> debbugs.gnu.org; Fri, 02 Apr 2021 12:29:32 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 21AE66008B;
 Fri,  2 Apr 2021 16:29:26 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1617380965; bh=pZ/SWnhRj1WHS1rx9AUNeLBMgIoHji2eDNoEbjU0XDc=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=GEwZUax55pFseek1G1hzJST4at5g454gy4VpisyIvCDUnM1DNBgv2H5j5fNbuUiSs
 GKEum+02xSByq7MF6+oTrx5VW/6OpfnkRlm5il7hJS2v/lJJM/GlZ3+hlgM0fBHFTz
 XWfHCzbpt1ULo+PgdQ6318cVhvslYYyI8VPe5+7iWUqQnABCkIw+S+nH3GaoKsitNY
 uwsuYz2Ap1Ya+mmk7mKrZSJSdxq2OfYfYaOcLtkpXiMPS2F1t8iorN+5lGCOultSqX
 vItN6bcunAaYoMfmo6hrOo3+zNx8tM8SgumW70lmwKnZ9aUkfrjq5ugo02w21KTLDx
 2LI34uagdpkwg==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 79CF2202B6E055; Fri,  2 Apr 2021 17:29:22 +0100 (BST)
Date: Fri, 2 Apr 2021 17:29:22 +0100
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs
 native-lisp macos
Message-ID: <YGdGYoFQ7y3sWm1o@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 Bryan O'Brien <bryan.m.obrien@HIDDEN>, 47558 <at> debbugs.gnu.org
References: <m21rbtwjpw.fsf@HIDDEN>
 <83ft09fdc4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83ft09fdc4.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: Bryan O'Brien <bryan.m.obrien@HIDDEN>, 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Apr 02, 2021 at 08:46:35AM +0300, Eli Zaretskii wrote:
> > From: Bryan O'Brien <bryan.m.obrien@HIDDEN>
> > Date: Thu, 01 Apr 2021 20:36:43 -0500
> > 
> > 
> > Compiling gccemacs from latest git branch.
> > Emacs compiles with warnings but no errors.
> > Starting Emacs with fails with:
> > 
> > gccemacs/nextstep/Emacs.app/Contents/MacOS/Emacs -Q --debug-init
> > emacs:
> > dlopen(/Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-2865d7b3/window-0d1b8b93-513ac8ca.eln, 1): image not found
> > 
> > Workaround is as follows:
> > 
> > cd ~/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents
> > ln -s ~/src/gnu-emacs/28/gccemacs/native-lisp .
> 
> Do you understand the need for this workaround on macOS?  If so, can
> you explain what's going on here?

It looks to me like the "-D" flag for the install command isn't
available on macOS. I think the equivalent is "-d", which appears to
do something different again on GNU/Linux.

Line 752 of Makefile.in:

### Install native compiled Lisp files.
install-eln:
ifeq ($(HAVE_NATIVE_COMP),yes)
	find native-lisp -type f -exec ${INSTALL_DATA} -D "{}" "$(ELN_DESTDIR){}" \;
endif
                                                       ^^
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at 47558 <at> debbugs.gnu.org:


Received: (at 47558) by debbugs.gnu.org; 2 Apr 2021 05:46:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 01:46:56 2021
Received: from localhost ([127.0.0.1]:58968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSCdz-0007lr-Tq
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 01:46:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lSCdy-0007ld-2m
 for 47558 <at> debbugs.gnu.org; Fri, 02 Apr 2021 01:46:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42685)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lSCds-0001zy-RG; Fri, 02 Apr 2021 01:46:48 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4278
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lSCds-00065M-5x; Fri, 02 Apr 2021 01:46:48 -0400
Date: Fri, 02 Apr 2021 08:46:35 +0300
Message-Id: <83ft09fdc4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bryan O'Brien <bryan.m.obrien@HIDDEN>
In-Reply-To: <m21rbtwjpw.fsf@HIDDEN> (message from Bryan O'Brien on Thu, 01
 Apr 2021 20:36:43 -0500)
Subject: Re: bug#47558: 28.0.50;
 dlopen 'image not found' gccemacs native-lisp macos
References: <m21rbtwjpw.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47558
Cc: 47558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Bryan O'Brien <bryan.m.obrien@HIDDEN>
> Date: Thu, 01 Apr 2021 20:36:43 -0500
> 
> 
> Compiling gccemacs from latest git branch.
> Emacs compiles with warnings but no errors.
> Starting Emacs with fails with:
> 
> gccemacs/nextstep/Emacs.app/Contents/MacOS/Emacs -Q --debug-init
> emacs:
> dlopen(/Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-2865d7b3/window-0d1b8b93-513ac8ca.eln, 1): image not found
> 
> Workaround is as follows:
> 
> cd ~/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents
> ln -s ~/src/gnu-emacs/28/gccemacs/native-lisp .

Do you understand the need for this workaround on macOS?  If so, can
you explain what's going on here?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2021 03:07:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 23:07:03 2021
Received: from localhost ([127.0.0.1]:58906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSA9F-0003hV-8j
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 23:07:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:51506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan.m.obrien@HIDDEN>) id 1lS8k8-0001cM-Kg
 for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 21:37:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59440)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bryan.m.obrien@HIDDEN>)
 id 1lS8k8-0003ZL-0m
 for bug-gnu-emacs@HIDDEN; Thu, 01 Apr 2021 21:37:00 -0400
Received: from mail-pf1-x432.google.com ([2607:f8b0:4864:20::432]:37691)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <bryan.m.obrien@HIDDEN>)
 id 1lS8jx-0005Ni-Ex
 for bug-gnu-emacs@HIDDEN; Thu, 01 Apr 2021 21:36:58 -0400
Received: by mail-pf1-x432.google.com with SMTP id c204so2686480pfc.4
 for <bug-gnu-emacs@HIDDEN>; Thu, 01 Apr 2021 18:36:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=tWBAqknJRN2CjUA9b9ppZxzKTKqICiuD+xZu+nco0PU=;
 b=eNme08+CXzDqkhfoyrQ5P037L6PJtpOXmgDUPqa+UI+Fr4jvY62OPVbbTvimnn1YX3
 4c7F2apsOES1FyDeGaJROfeDMIq0m+OAVhEef1FYflgAwzybRxMLJpzPerzemj6aTbBU
 3f/R/859kzgzsG8ETVkPZDCu6rptXqKyGl85CfB8nn/N3ZhhbTTHlZnPE50P2hAgptkk
 ZcvK5TNaZatTvagqFO0PFmgqATtWgUU229fFmS9bhWDt4K4bygX34cagP1JxtOnMJxmB
 xYialvIBBePDQZu6Z16znNbmJGeesHDqASPijQKMINF8FZPpjDSRbXFOAuN6hCgLdqDw
 vk8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=tWBAqknJRN2CjUA9b9ppZxzKTKqICiuD+xZu+nco0PU=;
 b=B+hbtATGk3cIVpeqyjxFyGM8rlT24kJMrsltzWz0N9dxYqX73hfvOWTATtYJaVXI5F
 y9lq1Plod8mUqkfvcZ2Sz7mddhCPfKPG30upEHjtZ4oLABTcpwdlyFjSI3ynIhhRQ9my
 Y2AJcHkKrNeDb3+4yQi6PwbU0iJ8u3LBmWxrbd4rj0f3Z/9nv7R9eKFX2w31n9zI25p3
 XdAbaSsVGbt8VQk46nbBg48SkuMvPv7XkYZ21f+d7mdVUtYiOAW4UINzsu54IUbSGIA6
 E/EbPUzowtbuZ7+Q0BYyAelup4pjex4BScY6FzWr0/CyYqneeUg7rOgp8HWmqVbpLZ0M
 R8KQ==
X-Gm-Message-State: AOAM532Gu6lTlOLxHYI5ZlgPcZwWCoUEyeIIyjo6lJRb3Ra8l4zNNRUN
 W3+7bdbQgeR0luXm2DsPSjZ1SqqToRQY
X-Google-Smtp-Source: ABdhPJyEE3/qgCodX//vezU3MPTm02jNvRx5f0/jVhSY8no1TgOmZblNMNtVzAOsNHw7zDEKaVMWag==
X-Received: by 2002:a62:7d07:0:b029:21b:d1bc:f6c8 with SMTP id
 y7-20020a627d070000b029021bd1bcf6c8mr9889932pfc.45.1617327406244; 
 Thu, 01 Apr 2021 18:36:46 -0700 (PDT)
Received: from Cuchulainn.local ([184.170.252.159])
 by smtp.gmail.com with ESMTPSA id i7sm6356446pgq.16.2021.04.01.18.36.44
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 01 Apr 2021 18:36:45 -0700 (PDT)
User-agent: mu4e 1.4.15; emacs 28.0.50
From: Bryan O'Brien <bryan.m.obrien@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos
Date: Thu, 01 Apr 2021 20:36:43 -0500
Message-ID: <m21rbtwjpw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::432;
 envelope-from=bryan.m.obrien@HIDDEN; helo=mail-pf1-x432.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 01 Apr 2021 23:07:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Compiling gccemacs from latest git branch.
Emacs compiles with warnings but no errors.
Starting Emacs with fails with:

gccemacs/nextstep/Emacs.app/Contents/MacOS/Emacs -Q --debug-init
emacs:
dlopen(/Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-2865d7b3/window-0d1b8b93-513ac8ca.eln, 1): image not found

Workaround is as follows:

cd ~/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents
ln -s ~/src/gnu-emacs/28/gccemacs/native-lisp .

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.4.0, NS appkit-2022.44 Version 11.3 (Build 20E5224a))
 of 2021-04-01 built on Cuchulainn.local
Repository revision: 978afd788fd0496540f715b83f18ed390ca8d5a4
Repository branch: feature/native-comp
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.3

Configured using:
 'configure --with-native-compilation --with-x-widgets
 CFLAGS=-I/usr/local/opt/libgccjit/include
 LDFLAGS=-L/usr/local/opt/libgccjit/lib/gcc/10'
Configured features:
ACL DBUS GLIB GNUTLS JSON LCMS2 LIBXML2 MODULES NATIVE_COMP NOTIFY
KQUEUE NS PDUMPER PNG RSVG THREADS TOOLKIT_SCROLL_BARS XIM ZLIB
Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: mu4e:main

Minor modes in effect:
  helm-descbinds-mode: t
  helm-mode: t
  helm-flx-mode: t
  helm--remap-mouse-mode: t
  async-bytecomp-package-mode: t
  global-evil-surround-mode: t
  global-git-gutter+-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  show-smartparens-global-mode: t
  yas-global-mode: t
  evil-escape-mode: t
  global-display-line-numbers-mode: t
  recentf-mode: t
  global-git-commit-mode: t
  winner-mode: t
  projectile-mode: t
  winum-mode: t
  pupo-mode: t
  global-vi-tilde-fringe-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  spaceline-info-mode: t
  spaceline-helm-mode: t
  save-place-mode: t
  savehist-mode: t
  persp-mode: t
  global-hl-todo-mode: t
  purpose-mode: t
  eyebrowse-mode: t
  global-anzu-mode: t
  anzu-mode: t
  editorconfig-mode: t
  clean-aindent-mode: t
  which-key-mode: t
  override-global-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  spacemacs-leader-override-mode: t
  global-spacemacs-leader-override-mode: t
  global-hl-line-mode: t
  xterm-mouse-mode: t
  global-auto-revert-mode: t
  ido-vertical-mode: t
  global-page-break-lines-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  overwrite-mode: overwrite-mode-binary

Load-path shadows:
/Users/bobrien/.emacs.d/elpa/28.0/develop/modus-vivendi-theme-0.13.2/modus-vivendi-theme hides /Users/bobrien/.emacs.d/elpa/28.0/develop/modus-themes-20210327.2018/modus-vivendi-theme
/Users/bobrien/.emacs.d/elpa/28.0/develop/modus-operandi-theme-0.13.2/modus-operandi-theme hides /Users/bobrien/.emacs.d/elpa/28.0/develop/modus-themes-20210327.2018/modus-operandi-theme
/Users/bobrien/.emacs.d/elpa/28.0/develop/magit-section-20210224.1417/magit-section hides /Users/bobrien/.emacs.d/elpa/28.0/develop/magit-20210327.1617/magit-section
/Users/bobrien/.emacs.d/elpa/28.0/develop/spinner-1.7.3/spinner hides /Users/bobrien/.emacs.d/core/libs/spinner
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-stan hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-stan
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-exp hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-J hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-J
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-emacs-lisp hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-css hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-css
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-lob hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-irc hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-irc
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-forth hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-forth
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-macs hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-macs
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-version hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-version
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-scheme hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-abc hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-abc
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-C hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-C
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-capture hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-capture
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-ref hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-clojure hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-mouse hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-ledger hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-ledger
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-ctags hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-entities hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-entities
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-archive hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-archive
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-screen hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-bibtex hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-bibtex
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-haskell hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-asymptote hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-asymptote
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-table hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-table
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-eww hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-eww
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-org hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-org
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-num hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-num
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-plot hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-plot
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-rmail hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-rmail
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-awk hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-groovy hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-groovy
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-octave hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-faces hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-faces
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-colview hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-colview
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-R hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-R
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-refile hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-refile
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-timer hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-timer
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-ebnf hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-ebnf
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-mobile hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-fortran hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-shell hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-shell
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-perl hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-sqlite hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-sed hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-sed
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-list hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-list
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-ruby hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-eval hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-habit hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-habit
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-clock hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-clock
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-goto hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-goto
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-html hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-html
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-src hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-src
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-lisp hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-eshell hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-eshell
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-ditaa hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-pcomplete hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-lint hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-lint
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-latex hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-latex
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-sass hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-io hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-io
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-tangle hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-calc hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-java hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-java
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-icalendar hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-icalendar
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-mhe hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-mhe
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-attach-git hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-attach-git
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-md hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-md
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-beamer hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-beamer
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-element hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-element
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-protocol hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-mscgen hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-gnuplot hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-tempo hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-tempo
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-latex hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-w3m hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-w3m
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-id hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-id
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-vala hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-vala
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-man hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-man
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-feed hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-feed
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-lua hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-lua
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-table hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-table
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-ocaml hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-coq hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-coq
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-gnus hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-gnus
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-picolisp hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-indent hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-indent
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-lilypond hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-matlab hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-datetree hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-docview hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-docview
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-python hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-python
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-makefile hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-makefile
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-duration hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-duration
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-agenda hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-dot hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-js hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-js
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-publish hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-publish
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-inlinetask hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-org hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-org
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-keys hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-keys
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-core hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-core
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-compat hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-compat
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-odt hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-odt
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-info hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-info
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-plantuml hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-eshell hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-eshell
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-ascii hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-ascii
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-loaddefs hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-hledger hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-hledger
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-maxima hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ol-bbdb hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ol-bbdb
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-macro hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-macro
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-sql hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-attach hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-attach
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-processing hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-processing
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ox-texinfo hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ox-texinfo
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-crypt hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-footnote hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/org-install hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/org-install
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-comint hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Users/bobrien/.emacs.d/elpa/28.0/develop/org-plus-contrib-20210322/ob-shen hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/org/ob-shen
/Users/bobrien/.emacs.d/elpa/28.0/develop/hierarchy-20190425.842/hierarchy hides /Users/bobrien/src/gnu-emacs/28/gccemacs/nextstep/Emacs.app/Contents/Resources/lisp/emacs-lisp/hierarchy

Features:
(shadow face-remap emacsbug flx tramp-archive tramp-gvfs dbus xml
helm-command helm-elisp helm-eval edebug backtrace helm-info
helm-descbinds helm-mode helm-files helm-buffers helm-occur helm-tags
helm-locate helm-grep helm-regexp helm-utils helm-help helm-types
helm-flx helm async-bytecomp helm-global-bindings helm-source
helm-multi-match helm-lib evil-surround git-gutter-fringe+ fringe-helper
git-gutter+ tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat ls-lisp goto-addr vc-mtn vc-hg vc-git vc-bzr vc-src vc-sccs
vc-svn vc-cvs vc-rcs vc vc-dispatcher auto-highlight-symbol
evil-lisp-state flycheck-pos-tip pos-tip flycheck highlight-numbers
parent-mode highlight-parentheses hideshow rainbow-delimiters
smartparens-config smartparens-org smartparens-markdown smartparens-text
smartparens yasnippet-snippets yasnippet sh-script smie executable
editorconfig-core editorconfig-core-handle editorconfig-fnmatch
evil-escape display-line-numbers recentf tree-widget epa-file
auth-source-pass org-mu4e ox-gfm ox-md ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox
org-element avl-tree generator mu4e-org orgit git-rebase forge-list
forge-commands forge-semi forge-bitbucket buck forge-gogs gogs
forge-gitea gtea forge-gitlab glab forge-github ghub-graphql treepy
gsexp ghub gnutls forge-notify forge-revnote forge-pullreq forge-issue
forge-topic parse-time iso8601 bug-reference forge-post markdown-mode
forge-repo forge forge-core forge-db closql emacsql-sqlite emacsql
emacsql-compiler url-http url-auth url-gw nsm evil-collection-magit
magit-submodule magit-obsolete magit-popup magit-blame magit-stash
magit-reflog magit-bisect magit-push magit-pull magit-fetch magit-clone
magit-remote magit-commit magit-sequence magit-notes magit-worktree
magit-tag magit-merge magit-branch magit-reset magit-files magit-refs
magit-status magit magit-repos magit-apply magit-wip magit-log
which-func magit-diff smerge-mode diff-mode git-commit log-edit
pcvs-util add-log magit-core magit-autorevert magit-margin
magit-transient magit-process with-editor magit-mode transient magit-git
magit-section magit-utils crm org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-footnote org-src ob-comint org-pcomplete org-list
org-faces org-entities org-version ob-emacs-lisp ob-core ob-eval
org-table ol org-keys org-compat org-macs org-loaddefs find-func
gnus-dired mu4e desktop frameset mu4e-main mu4e-view cal-menu calendar
cal-loaddefs mu4e-headers mu4e-compose mu4e-context mu4e-draft
mu4e-actions rfc2368 smtpmail sendmail mu4e-mark mu4e-message flow-fill
mu4e-proc mu4e-utils doc-view jka-compr image-mode exif mu4e-lists
mu4e-vars message rmc puny rfc822 mml mml-sec epa gnus-util rmail
rmail-loaddefs time-date mailabbrev mail-utils gmm-utils mailheader
mu4e-meta winner server async projectile grep compile
text-property-search diminish xterm-color ws-butler winum
spacemacs-purpose-popwin window-purpose-x ibuf-macs imenu-list imenu
ibuf-ext ibuffer ibuffer-loaddefs evil-collection-dired dired
dired-loaddefs vi-tilde-fringe undo-tree diff symbol-overlay
string-inflection string-edit spaceline-all-the-icons
spaceline-all-the-icons-separators spaceline-all-the-icons-segments
all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons memoize
spaceline-config spaceline-segments spaceline powerline
powerline-separators color powerline-themes saveplace savehist posframe
popwin persp-mode osx-trash org-rich-yank multi-line multi-line-find
multi-line-enter multi-line-decorator multi-line-respace
multi-line-shared shut-up multi-line-cycle multi-line-candidate hl-todo
window-purpose window-purpose-fixes window-purpose-prefix-overload
window-purpose-switch let-alist window-purpose-layout
window-purpose-core window-purpose-configuration window-purpose-utils
eyebrowse evil-unimpaired f evil-textobj-line evil-mc
evil-mc-command-execute evil-mc-command-record evil-mc-cursor-make
evil-mc-region evil-mc-cursor-state evil-mc-undo evil-mc-vars
evil-mc-known-commands evil-mc-common evil-easymotion
evil-collection-buff-menu evil-collection annalist evil-anzu anzu emr
popup s dash editorconfig noutline outline drag-stuff clean-aindent-mode
helm-easymenu cl hybrid-mode evil-evilified-state which-key use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key use-package-core hydra lv evil
evil-integration evil-maps evil-commands reveal flyspell ispell
evil-jumps evil-command-window evil-types evil-search evil-ex shell
pcomplete comint ansi-color evil-macros evil-repeat evil-states
evil-core evil-common windmove thingatpt rect evil-digraphs evil-vars
ring bind-map quelpa mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr lisp-mnt help-fns
radix-tree hl-line xt-mouse autorevert filenotify comp comp-cstr
cl-extra disp-table afternoon-theme format-spec info finder-inf
ido-vertical-mode ido core-spacemacs core-spacebind core-use-package-ext
core-transient-state core-micro-state core-toggle core-keybindings
core-fonts-support core-themes-support core-display-init core-jump
core-release-management core-custom-settings core-configuration-layer
eieio-compat core-progress-bar core-spacemacs-buffer core-funcs
spacemacs-ht inline help-mode warnings package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq
password-cache json map url-vars eieio eieio-core eieio-loaddefs epg
epg-config core-command-line pcase core-debug edmacro kmacro derived
profiler core-hooks page-break-lines easy-mmode core-env load-env-vars
rx core-dotspacemacs advice core-customization validate cus-edit pp
cus-start cus-load wid-edit seq byte-opt bytecomp byte-compile cconv
core-emacs-backports core-compilation core-dumper subr-x spinner cl-macs
gv cl-loaddefs cl-lib iso-transl tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
kqueue cocoa ns lcms2 multi-tty make-network-process nativecomp emacs)

Memory information:
((conses 16 1092259 903877)
 (symbols 48 66381 9)
 (strings 32 249629 170669)
 (string-bytes 1 9258978)
 (vectors 16 103579)
 (vector-slots 8 1950135 778485)
 (floats 8 1396 5940)
 (intervals 56 4131 1596)
 (buffers 992 17))




Acknowledgement sent to Bryan O'Brien <bryan.m.obrien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47558; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Apr 2021 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.